OpenVDB 5.1.0

Public Member Functions | List of all members
NodeUnion< ValueT, ChildT, typename std::enable_if< CopyTraits< ValueT >::IsCopyable >::type > Class Template Reference

`#include <NodeUnion.h>`

## Public Member Functions
| NodeUnion ()
| NodeUnion (const NodeUnion &other)
NodeUnion & | operator= (const NodeUnion &rhs)
ChildT * | getChild () const
void | setChild (ChildT *child)
const ValueT & | getValue () const
ValueT & | getValue ()
void | setValue (const ValueT &val)

## Constructor & Destructor Documentation

## ◆ NodeUnion() [1/2]

NodeUnion | ( |  | ) |
| inline

## ◆ NodeUnion() [2/2]

NodeUnion | ( | const NodeUnion< ValueT, ChildT, typename std::enable_if< CopyTraits< ValueT >::IsCopyable >::type > & | other | ) |
| inline

## Member Function Documentation

## ◆ getChild()

ChildT* getChild | ( |  | ) | const
| inline

## ◆ getValue() [1/2]

const ValueT& getValue | ( |  | ) | const
| inline

## ◆ getValue() [2/2]

ValueT& getValue | ( |  | ) |
| inline

## ◆ operator=()

NodeUnion& operator= | ( | const NodeUnion< ValueT, ChildT, typename std::enable_if< CopyTraits< ValueT >::IsCopyable >::type > & | rhs | ) |
| inline

## ◆ setChild()

void setChild | ( | ChildT * | child | ) |
| inline

## ◆ setValue()

void setValue | ( | const ValueT & | val | ) |
| inline

## Member Data Documentation

## ◆ mChild

ChildT* mChild

## ◆ mValue

ValueT mValue

The documentation for this class was generated from the following file:

- NodeUnion.h